from enum import Enum


class MazeEventType(Enum):
    MAZE_LOADED = 1
    PATH_FOUND = 2


class MazeEvent:
    def __init__(self, event_type, data=None):
        self.event_type = event_type
        self.data = data